GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CPLLockHolder Class Reference

Object to hold a lock. More...

`#include <cpl_multiproc.h>`

## Public Member Functions
| CPLLockHolder (CPLLock **phSpin, CPLLockType eType, const char *pszFile=__FILE__, int nLine=__LINE__)
| Instantiates the lock if not already done. More...
| CPLLockHolder (CPLLock *hSpin, const char *pszFile=__FILE__, int nLine=__LINE__)
| This variant assumes the lock has already been created. More...

## Detailed Description

Object to hold a lock.

## Constructor & Destructor Documentation

CPLLockHolder::CPLLockHolder | ( | CPLLock ** | phSpin,
|  | CPLLockType | eType,
|  | const char * | pszFile = `__FILE__`,
|  | int | nLine = `__LINE__`
| ) |  |

Instantiates the lock if not already done.

CPLLockHolder::CPLLockHolder | ( | CPLLock * | hSpin,
|  | const char * | pszFile = `__FILE__`,
|  | int | nLine = `__LINE__`
| ) |  |

This variant assumes the lock has already been created.

If not, it will be a no-op

The documentation for this class was generated from the following files:

- cpl_multiproc.h
- cpl_multiproc.cpp

Generated for GDAL by 1.8.9.1.